<?php
session_start();

// Get base user file name from user name
function userbase($user)
{
	$t = "";
	for ($i = 0; $i < strlen($user); $i++)
	{
		$s = substr($user, $i, 1);
		if ($s == " ")
			$t = $t . "_";
		elseif (ord($s) > 31)
			$t = $t . $s;
	}
	return strtolower($t);
}

$replay = $_GET['replay'] ?? "";
$replayfile = "private/" . basename($replay);


if (!file_exists($replayfile)) {
    header('HTTP/1.1 404 Not found');
    die();
}

$isadmin = (($_SESSION["user"]["name"] ?? "") == "admin");

$candownload = $isadmin;
    
if (!$candownload) {
    header('HTTP/1.1 403 Not authorized');
    die();
}

header('Content-Type: application/octet-stream');
header('Content-Disposition: attachment; filename="' . $replay . '"');
header('Content-Length: ' . filesize($replayfile));
readfile($replayfile);
